Uploaded image for project: 'Qt Creator'
  1. Qt Creator
  2. QTCREATORBUG-22355

QtC handles qbs cpp.minimumMacosVersion incorrectly

    XMLWordPrintable

    Details

    • Platform/s:
      macOS
    • Commits:
      da1bca07a182195fdcb4fbb83abe05e9f63b33f4 (qt-creator/qt-creator/4.9)

      Description

      I’ve noticed, that QBS cpp.minimumOsxVersion was renamed to cpp.minimumMacosVersion at some point of time and QtCreator’s clang code model does not understand this property. At least, it highlights std::visit() call as an error - this call requires cpp.minimumMacosVersion: «10.14» or higher. Project builds without errors though, so QBS handles this property correctly.

        Attachments

        No reviews matched the request. Check your Options in the drop-down menu of this sections header.

          Activity

            People

            Assignee:
            kandeler Christian Kandeler
            Reporter:
            arch Ivan Komissarov
            Votes:
            0 Vote for this issue
            Watchers:
            4 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved:

                Gerrit Reviews

                There are no open Gerrit changes